# Class: FrontendUnit

## FrontendUnit()

FrontendUnit ---------------------------------------------------------------------------------------- A Flitter application unit which sets up routes for accessing the javascript front-end pages we created in Project 3.

## Constructor

#### new FrontendUnit()

Source:
  - app/FrontendUnit.js, line 18

### Extends

- Unit

### Members

#### directory :string

Fully qualified path to the root of the ionic app.

##### Type:

- string

Source:
  - app/FrontendUnit.js, line 25

### Methods

#### (async) go(app)

Initializes the unit. Creates the `/app` static endpoing and default settings.

##### Parameters:

Name | Type | Description
--- | --- | ---
`app` | FlitterApp |

Source:
  - app/FrontendUnit.js, line 32